Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/ChangeLog	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -1,2 +1,21 @@
+2011-06-17	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* libcsupport/include/rtems/malloc.h, libmisc/stackchk/stackchk.h,
+	posix/include/rtems/posix/time.h, rtems/include/rtems/rtems/object.h,
+	score/include/rtems/score/apiext.h,
+	score/include/rtems/score/interr.h, score/include/rtems/score/mpci.h,
+	score/include/rtems/score/objectmp.h,
+	score/include/rtems/score/thread.h,
+	score/include/rtems/score/threadmp.h,
+	score/include/rtems/score/threadq.h,
+	score/include/rtems/score/timespec.h,
+	score/include/rtems/score/timestamp.h,
+	score/include/rtems/score/timestamp64.h,
+	score/include/rtems/score/tod.h,
+	score/include/rtems/score/watchdog.h,
+	score/include/rtems/score/wkspace.h: Make @brief formatting more
+	consistent.
+	* score/include/rtems/score/rbtree.h: Also reformat.
+
 2011-06-17	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/libcsupport/include/rtems/malloc.h
===================================================================
--- cpukit/libcsupport/include/rtems/malloc.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/libcsupport/include/rtems/malloc.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -6,5 +6,5 @@
  *  RTEMS Malloc Extensions
  *
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -73,5 +73,6 @@
 extern rtems_malloc_dirtier_t rtems_malloc_dirty_helper;
 
-/** @brief Dirty memory function
+/**
+ *  @brief Dirty memory function
  *
  *  This method fills the specified area with a non-zero pattern
@@ -84,5 +85,6 @@
 );
 
-/** @brief Print Malloc Statistic Usage Report
+/**
+ *  @brief Print Malloc Statistic Usage Report
  *
  *  This method fills in the called provided malloc statistics area.
@@ -94,5 +96,6 @@
 );
 
-/** @brief Print Malloc Statistic Usage Report
+/**
+ *  @brief Print Malloc Statistic Usage Report
  *
  *  This method prints a malloc statistics report.
@@ -102,5 +105,6 @@
 void malloc_report_statistics(void);
 
-/** @brief Print Malloc Statistic Usage Report
+/**
+ *  @brief Print Malloc Statistic Usage Report
  *
  *  This method prints a malloc statistics report.
@@ -117,4 +121,5 @@
 
 /**
+ *  @brief RTEMS variation on Aligned Memory Allocation
  *
  *  This method is a help memalign implementation which does all
Index: cpukit/libmisc/stackchk/stackchk.h
===================================================================
--- cpukit/libmisc/stackchk/stackchk.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/libmisc/stackchk/stackchk.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -6,5 +6,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -28,5 +28,6 @@
 #endif
 
-/** @brief Has Current Task Blown Its Stack
+/**
+ *  @brief Has Current Task Blown Its Stack
  *
  *  This method is used to determine if the current stack pointer
@@ -39,5 +40,6 @@
 bool rtems_stack_checker_is_blown( void );
 
-/** @brief Print Stack Usage Report
+/**
+ *  @brief Print Stack Usage Report
  *
  *  This method prints a stack usage report for the curently executing
@@ -48,5 +50,6 @@
 void rtems_stack_checker_report_usage( void );
 
-/** @brief Print Stack Usage Report
+/**
+ *  @brief Print Stack Usage Report
  *
  *  This method prints a stack usage report for the curently executing
@@ -69,5 +72,6 @@
  *************************************************************/
 
-/** @brief Stack Checker Task Create Extension
+/**
+ *  @brief Stack Checker Task Create Extension
  *
  * This method is the task create extension for the stack checker.
@@ -84,5 +88,6 @@
 );
 
-/** @brief Stack Checker Task Begin Extension
+/**
+ *  @brief Stack Checker Task Begin Extension
  *
  * This method is the task begin extension for the stack checker.
@@ -96,5 +101,6 @@
 );
 
-/** @brief Stack Checker Task Context Switch Extension
+/**
+ *  @brief Stack Checker Task Context Switch Extension
  *
  * This method is the task context switch extension for the stack checker.
@@ -111,5 +117,6 @@
 );
 
-/** @brief Stack Checker Extension Set Definition
+/**
+ *  @brief Stack Checker Extension Set Definition
  *
  *  This macro defines the user extension handler set for the stack
Index: cpukit/posix/include/rtems/posix/time.h
===================================================================
--- cpukit/posix/include/rtems/posix/time.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/posix/include/rtems/posix/time.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -4,5 +4,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -20,5 +20,6 @@
 #include <rtems/score/watchdog.h>
 
-/** @brief Absolute Timeout Conversion Results
+/**
+ *  @brief Absolute Timeout Conversion Results
  *
  *  This enumeration defines the possible results of converting
Index: cpukit/rtems/include/rtems/rtems/object.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/object.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/rtems/include/rtems/rtems/object.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -3,5 +3,5 @@
  */
 
-/*  COPYRIGHT (c) 1989-2008.
+/*  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -89,5 +89,6 @@
   _Objects_Build_name( _C1, _C2, _C3, _C4 )
 
-/** @brief Obtain name of object
+/**
+ *  @brief Obtain name of object
  *
  *  This directive returns the name associated with the specified
Index: cpukit/score/include/rtems/score/apiext.h
===================================================================
--- cpukit/score/include/rtems/score/apiext.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/apiext.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -92,5 +92,6 @@
 SCORE_EXTERN Chain_Control _API_extensions_List;
 
-/** @brief Initialize the API Extensions Handler
+/**
+ * @brief Initialize the API Extensions Handler
  *
  *  This routine initializes the API extension handler.
@@ -98,5 +99,6 @@
 void _API_extensions_Initialization( void );
 
-/** @brief Add Extension Set to the Active Set
+/**
+ * @brief Add Extension Set to the Active Set
  *
  *  This routine adds an extension to the active set of API extensions.
@@ -109,5 +111,6 @@
 
 #if defined(FUNCTIONALITY_NOT_CURRENTLY_USED_BY_ANY_API)
-  /** @brief Execute all Pre-Driver Extensions
+  /**
+   * @brief Execute all Pre-Driver Extensions
    *
    *  This routine executes all of the predriver callouts.
@@ -116,5 +119,6 @@
 #endif
 
-/** @brief Execute all Post-Driver Extensions
+/**
+ * @brief Execute all Post-Driver Extensions
  *
  *  This routine executes all of the postdriver callouts.
@@ -122,5 +126,6 @@
 void _API_extensions_Run_postdriver( void );
 
-/** @brief Execute all Post Context Switch Extensions
+/**
+ * @brief Execute all Post Context Switch Extensions
  *
  *  This routine executes all of the post context switch callouts.
Index: cpukit/score/include/rtems/score/interr.h
===================================================================
--- cpukit/score/include/rtems/score/interr.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/interr.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -95,5 +95,6 @@
 SCORE_EXTERN Internal_errors_Information _Internal_errors_What_happened;
 
-/** @brief  Internal error Occurred
+/**
+ * @brief  Internal error Occurred
  *
  *  This routine is invoked when the application or the executive itself
Index: cpukit/score/include/rtems/score/mpci.h
===================================================================
--- cpukit/score/include/rtems/score/mpci.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/mpci.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -180,5 +180,6 @@
 SCORE_EXTERN MPCI_Control *_MPCI_table;
 
-/** @brief Pointer to MP Thread Control Block
+/**
+ *  @brief Pointer to MP Thread Control Block
  *
  *  The following is used to determine when the multiprocessing receive
Index: cpukit/score/include/rtems/score/objectmp.h
===================================================================
--- cpukit/score/include/rtems/score/objectmp.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/objectmp.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2006.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -47,5 +47,6 @@
 }   Objects_MP_Control;
 
-/** @brief  Objects MP Handler initialization
+/**
+ *  @brief  Objects MP Handler initialization
  *
  *  This routine intializes the inactive global object chain
@@ -54,5 +55,6 @@
 void _Objects_MP_Handler_initialization(void);
 
-/** @brief  Objects MP Handler Early initialization
+/**
+ *  @brief  Objects MP Handler Early initialization
  *
  *  This routine intializes the global object node number
@@ -61,5 +63,6 @@
 void _Objects_MP_Handler_early_initialization(void);
 
-/** @brief Objects MP Open
+/**
+ *  @brief Objects MP Open
  *
  *  This routine place the specified global object in the
@@ -82,5 +85,6 @@
 );
 
-/** @brief  Objects MP Allocate and open
+/**
+ *  @brief  Objects MP Allocate and open
  *
  *  This routine allocates a global object control block
@@ -106,5 +110,6 @@
 );
 
-/** @brief  Objects MP Close
+/**
+ *  @brief  Objects MP Close
  *
  *  This routine removes a global object from the specified
@@ -116,5 +121,6 @@
 );
 
-/** @brief  Objects MP Global name search
+/**
+ *  @brief  Objects MP Global name search
  *
  *  This routine looks for the object with the_name in the global
@@ -139,5 +145,6 @@
 );
 
-/** @brief  Objects MP Is remote
+/**
+ *  @brief  Objects MP Is remote
  *
  *  This function searches the Global Object Table managed
Index: cpukit/score/include/rtems/score/rbtree.h
===================================================================
--- cpukit/score/include/rtems/score/rbtree.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/rbtree.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -1,3 +1,2 @@
-
 /**
  *  @file  rtems/score/rbtree.h
@@ -37,258 +36,258 @@
 #include <rtems/score/address.h>
 
-  /**
-   *  @typedef RBTree_Node
-   *
-   *  This type definition promotes the name for the RBTree Node used by
-   *  all RTEMS code.  It is a separate type definition because a forward
-   *  reference is required to define it.  See @ref RBTree_Node_struct for
-   *  detailed information.
-   */
-  typedef struct RBTree_Node_struct RBTree_Node;
-
-  /**
-   * This enum type defines the colors available for the RBTree Nodes
-   */
-  typedef enum {
-    RBT_BLACK,
-    RBT_RED
-  } RBTree_Color;
-
-  /**
-   *  @struct RBTree_Node_struct
-   *
-   *  This is used to manage each element (node) which is placed
-   *  on a RBT.
-   *
-   *  @note Typically, a more complicated structure will use the
-   *        rbtree package.  The more complicated structure will
-   *        include a rbtree node as the first element in its
-   *        control structure.  It will then call the rbtree package
-   *        with a pointer to that node element.  The node pointer
-   *        and the higher level structure start at the same address
-   *        so the user can cast the pointers back and forth.
-   *
-   */
-  struct RBTree_Node_struct {
-    /** This points to the node's parent */
-    RBTree_Node *parent;
-    /** child[0] points to the left child, child[1] points to the right child */
-    RBTree_Node *child[2];
-    /** This is the integer value stored by this node, used for sorting */
-    unsigned int value;
-    /** The color of the node. Either red or black */
-    RBTree_Color color;
-  };
-
-  /**
-   * @brief macro to return the structure containing the @a node.
-   *
-   * This macro returns a pointer of type @a container_type that points
-   * to the structure containing @a node, where @a node_field_name is the
-   * field name of the RBTree_Node structure in @a container_type.
-   *
-   */
-
+/**
+ *  @typedef RBTree_Node
+ *
+ *  This type definition promotes the name for the RBTree Node used by
+ *  all RTEMS code.  It is a separate type definition because a forward
+ *  reference is required to define it.  See @ref RBTree_Node_struct for
+ *  detailed information.
+ */
+typedef struct RBTree_Node_struct RBTree_Node;
+
+/**
+ * This enum type defines the colors available for the RBTree Nodes
+ */
+typedef enum {
+  RBT_BLACK,
+  RBT_RED
+} RBTree_Color;
+
+/**
+ *  @struct RBTree_Node_struct
+ *
+ *  This is used to manage each element (node) which is placed
+ *  on a RBT.
+ *
+ *  @note Typically, a more complicated structure will use the
+ *        rbtree package.  The more complicated structure will
+ *        include a rbtree node as the first element in its
+ *        control structure.  It will then call the rbtree package
+ *        with a pointer to that node element.  The node pointer
+ *        and the higher level structure start at the same address
+ *        so the user can cast the pointers back and forth.
+ *
+ */
+struct RBTree_Node_struct {
+  /** This points to the node's parent */
+  RBTree_Node *parent;
+  /** child[0] points to the left child, child[1] points to the right child */
+  RBTree_Node *child[2];
+  /** This is the integer value stored by this node, used for sorting */
+  unsigned int value;
+  /** The color of the node. Either red or black */
+  RBTree_Color color;
+};
+
+/**
+ * @brief macro to return the structure containing the @a node.
+ *
+ * This macro returns a pointer of type @a container_type that points
+ * to the structure containing @a node, where @a node_field_name is the
+ * field name of the RBTree_Node structure in @a container_type.
+ *
+ */
 #define _RBTree_Container_of(node,container_type, node_field_name) \
-  ((container_type*) \
-   ((size_t)node - ((size_t)(&((container_type *)0)->node_field_name))))
-
-
-  typedef enum {
-    RBT_LEFT=0,
-    RBT_RIGHT=1
-  } RBTree_Direction;
-
-  /**
-   *  @struct RBTree_Control
-   *
-   * This is used to manage a RBT.  A rbtree consists of a tree of zero or more
-   * nodes.
-   *
-   * @note This implementation does not require special checks for
-   *   manipulating the root element of the RBT.
-   *   To accomplish this the @a RBTree_Control structure can be overlaid
-   *   with a @ref RBTree_Node structure to act as a "dummy root",
-   *   which has a NULL parent and its left child is the root.
-   */
-
-  /* the RBTree_Control is actually part of the RBTree structure as an
-   * RBTree_Node. The mapping of fields from RBTree_Control to RBTree_Node are:
-   *   permanent_null == parent
-   *   root == left
-   *   first[0] == right
-   */
-  typedef struct {
-    /** This points to a NULL. Useful for finding the root. */
-    RBTree_Node *permanent_null;
-    /** This points to the root node of the RBT. */
-    RBTree_Node *root;
-    /** This points to the min and max nodes of this RBT. */
-    RBTree_Node *first[2];
-  } RBTree_Control;
-
-  /**
-   *  @brief RBTree initializer for an empty rbtree with designator @a name.
-   */
+((container_type*) \
+ ((size_t)node - ((size_t)(&((container_type *)0)->node_field_name))))
+
+/**
+ *  This type indicates the direction.
+ */
+typedef enum {
+  RBT_LEFT=0,
+  RBT_RIGHT=1
+} RBTree_Direction;
+
+/**
+ *  @struct RBTree_Control
+ *
+ * This is used to manage a RBT.  A rbtree consists of a tree of zero or more
+ * nodes.
+ *
+ * @note This implementation does not require special checks for
+ *   manipulating the root element of the RBT.
+ *   To accomplish this the @a RBTree_Control structure can be overlaid
+ *   with a @ref RBTree_Node structure to act as a "dummy root",
+ *   which has a NULL parent and its left child is the root.
+ */
+
+/* the RBTree_Control is actually part of the RBTree structure as an
+ * RBTree_Node. The mapping of fields from RBTree_Control to RBTree_Node are:
+ *   permanent_null == parent
+ *   root == left
+ *   first[0] == right
+ */
+typedef struct {
+  /** This points to a NULL. Useful for finding the root. */
+  RBTree_Node *permanent_null;
+  /** This points to the root node of the RBT. */
+  RBTree_Node *root;
+  /** This points to the min and max nodes of this RBT. */
+  RBTree_Node *first[2];
+} RBTree_Control;
+
+/**
+ *  @brief RBTree initializer for an empty rbtree with designator @a name.
+ */
 #define RBTREE_INITIALIZER_EMPTY(name) \
-  { \
-    .permanent_null = NULL, \
-    .root = NULL, \
-    .first[0] = NULL, \
-    .first[1] = NULL, \
-  }
-
-  /**
-   *  @brief RBTree definition for an empty rbtree with designator @a name.
-   */
+{ \
+  .permanent_null = NULL, \
+  .root = NULL, \
+  .first[0] = NULL, \
+  .first[1] = NULL, \
+}
+
+/**
+ *  @brief RBTree definition for an empty rbtree with designator @a name.
+ */
 #define RBTREE_DEFINE_EMPTY(name) \
-  RBTree_Control name = RBTREE_INITIALIZER_EMPTY(name)
-
-  /**
-   *  @brief RBTree_Node initializer for an empty node with designator @a name.
-   */
+RBTree_Control name = RBTREE_INITIALIZER_EMPTY(name)
+
+/**
+ *  @brief RBTree_Node initializer for an empty node with designator @a name.
+ */
 #define RBTREE_NODE_INITIALIZER_EMPTY(name) \
-  { \
-    .parent = NULL, \
-    .child[0] = NULL, \
-    .child[1] = NULL, \
-    .value = -1, \
-    RBT_RED \
-  }
-
-  /**
-   *  @brief RBTree definition for an empty rbtree with designator @a name.
-   */
+{ \
+  .parent = NULL, \
+  .child[0] = NULL, \
+  .child[1] = NULL, \
+  .value = -1, \
+  RBT_RED \
+}
+
+/**
+ *  @brief RBTree definition for an empty rbtree with designator @a name.
+ */
 #define RBTREE_NODE_DEFINE_EMPTY(name) \
-  RBTree_Node name = RBTREE_NODE_INITIALIZER_EMPTY(name)
-
-
-
-
-  /**
-   *  @brief Initialize a RBTree Header
-   *
-   *  This routine initializes @a the_rbtree structure to manage the
-   *  contiguous array of @a number_nodes nodes which starts at
-   *  @a starting_address.  Each node is of @a node_size bytes.
-   */
-  void _RBTree_Initialize(
-      RBTree_Control *the_rbtree,
-      void          *starting_address,
-      size_t         number_nodes,
-      size_t         node_size
-      );
-
-  /**
-   *  @brief Obtain the min or max node of a rbtree
-   *
-   *  This function removes the min or max node from @a the_rbtree and returns
-   *  a pointer to that node.  If @a the_rbtree is empty, then NULL is returned.
-   *  @a dir specifies whether to return the min (0) or max (1).
-   *
-   *  @return This method returns a pointer to a node.  If a node was removed,
-   *          then a pointer to that node is returned.  If @a the_rbtree was
-   *          empty, then NULL is returned.
-   *
-   *  @note It disables interrupts to ensure the atomicity of the get operation.
-   */
-  RBTree_Node *_RBTree_Get(
-      RBTree_Control *the_rbtree,
-      RBTree_Direction dir
-      );
-
-  /**
-   *  @brief Check the min or max node on a rbtree
-   *
-   *  This function returns a pointer to the min or max node of @a the_rbtree.
-   *  If @a the_rbtree is empty, then NULL is returned. @a dir specifies
-   *  whether to return the min (0) or max (1).
-   *
-   *  @return This method returns a pointer to a node.
-   *          If @a the_rbtree was empty, then NULL is returned.
-   *
-   *  @note It disables interrupts to ensure the atomicity of the get operation.
-   */
-  RBTree_Node *_RBTree_Peek(
-      RBTree_Control *the_rbtree,
-      RBTree_Direction dir
-      );
-
-  /** @brief Find the node with given value in the tree
-   *
-   *  This function returns a pointer to the node with value equal to @a value
-   *  if it exists in the Red-Black Tree @a the_rbtree, and NULL if not.
-   */
-  RBTree_Node *_RBTree_Find(
-      RBTree_Control *the_rbtree,
-      unsigned int value
-      );
-
-  /** @brief Find the control structure of the tree containing the given node
-   *
-   *  This function returns a pointer to the control structure of the tree
-   *  containing @a the_node, if it exists, and NULL if not.
-   */
-  RBTree_Control *_RBTree_Find_header(
-      RBTree_Node *the_node
-      );
-
-  /** @brief Insert a Node (unprotected)
-   *
-   *  This routine inserts @a the_node on the Red-Black Tree @a the_rbtree.
-   *
-   *  @retval 0 Successfully inserted.
-   *  @retval -1 NULL @a the_node.
-   *  @retval RBTree_Node* if one with equal value to @a the_node->value exists
-   *          in @a the_rbtree.
-   *
-   *  @note It does NOT disable interrupts to ensure the atomicity
-   *        of the extract operation.
-   */
-  RBTree_Node *_RBTree_Insert_unprotected(
-      RBTree_Control *the_rbtree,
-      RBTree_Node *the_node
-  );
-
-  /**
-   *  @brief Insert a node on a rbtree
-   *
-   *  This routine inserts @a the_node on the tree @a the_rbtree.
-   *
-   *  @note It disables interrupts to ensure the atomicity
-   *  of the extract operation.
-   */
-  void _RBTree_Insert(
-      RBTree_Control *the_rbtree,
-      RBTree_Node *the_node
-      );
-
-
-  /** @brief Extract a Node (unprotected)
-   *
-   *  This routine extracts (removes) @a the_node from @a the_rbtree.
-   *
-   *  @note It does NOT disable interrupts to ensure the atomicity
-   *        of the extract operation.
-   */
-
-  void _RBTree_Extract_unprotected(
-      RBTree_Control *the_rbtree,
-      RBTree_Node *the_node
-  );
-
-
-  /**
-   *  @brief Delete a node from the rbtree
-   *
-   *  This routine deletes @a the_node from @a the_rbtree.
-   *
-   *  @note It disables interrupts to ensure the atomicity of the
-   *  append operation.
-   */
-  void _RBTree_Extract(
-      RBTree_Control *the_rbtree,
-      RBTree_Node    *the_node
-      );
+RBTree_Node name = RBTREE_NODE_INITIALIZER_EMPTY(name)
+
+/**
+ *  @brief Initialize a RBTree Header
+ *
+ *  This routine initializes @a the_rbtree structure to manage the
+ *  contiguous array of @a number_nodes nodes which starts at
+ *  @a starting_address.  Each node is of @a node_size bytes.
+ */
+void _RBTree_Initialize(
+  RBTree_Control *the_rbtree,
+  void          *starting_address,
+  size_t         number_nodes,
+  size_t         node_size
+);
+
+/**
+ *  @brief Obtain the min or max node of a rbtree
+ *
+ *  This function removes the min or max node from @a the_rbtree and returns
+ *  a pointer to that node.  If @a the_rbtree is empty, then NULL is returned.
+ *  @a dir specifies whether to return the min (0) or max (1).
+ *
+ *  @return This method returns a pointer to a node.  If a node was removed,
+ *          then a pointer to that node is returned.  If @a the_rbtree was
+ *          empty, then NULL is returned.
+ *
+ *  @note It disables interrupts to ensure the atomicity of the get operation.
+ */
+RBTree_Node *_RBTree_Get(
+  RBTree_Control *the_rbtree,
+  RBTree_Direction dir
+);
+
+/**
+ *  @brief Check the min or max node on a rbtree
+ *
+ *  This function returns a pointer to the min or max node of @a the_rbtree.
+ *  If @a the_rbtree is empty, then NULL is returned. @a dir specifies
+ *  whether to return the min (0) or max (1).
+ *
+ *  @return This method returns a pointer to a node.
+ *          If @a the_rbtree was empty, then NULL is returned.
+ *
+ *  @note It disables interrupts to ensure the atomicity of the get operation.
+ */
+RBTree_Node *_RBTree_Peek(
+  RBTree_Control *the_rbtree,
+  RBTree_Direction dir
+);
+
+/**
+ * @brief Find the node with given value in the tree
+ *
+ *  This function returns a pointer to the node with value equal to @a value
+ *  if it exists in the Red-Black Tree @a the_rbtree, and NULL if not.
+ */
+RBTree_Node *_RBTree_Find(
+  RBTree_Control *the_rbtree,
+  unsigned int value
+);
+
+/**
+ * @brief Find the control structure of the tree containing the given node
+ *
+ *  This function returns a pointer to the control structure of the tree
+ *  containing @a the_node, if it exists, and NULL if not.
+ */
+RBTree_Control *_RBTree_Find_header(
+  RBTree_Node *the_node
+);
+
+/**
+ * @brief Insert a Node (unprotected)
+ *
+ *  This routine inserts @a the_node on the Red-Black Tree @a the_rbtree.
+ *
+ *  @retval 0 Successfully inserted.
+ *  @retval -1 NULL @a the_node.
+ *  @retval RBTree_Node* if one with equal value to @a the_node->value exists
+ *          in @a the_rbtree.
+ *
+ *  @note It does NOT disable interrupts to ensure the atomicity
+ *        of the extract operation.
+ */
+RBTree_Node *_RBTree_Insert_unprotected(
+  RBTree_Control *the_rbtree,
+  RBTree_Node *the_node
+);
+
+/**
+ *  @brief Insert a node on a rbtree
+ *
+ *  This routine inserts @a the_node on the tree @a the_rbtree.
+ *
+ *  @note It disables interrupts to ensure the atomicity
+ *  of the extract operation.
+ */
+void _RBTree_Insert(
+  RBTree_Control *the_rbtree,
+  RBTree_Node *the_node
+);
+
+
+/**
+ * @brief Extract a Node (unprotected)
+ *
+ *  This routine extracts (removes) @a the_node from @a the_rbtree.
+ *
+ *  @note It does NOT disable interrupts to ensure the atomicity
+ *        of the extract operation.
+ */
+void _RBTree_Extract_unprotected(
+  RBTree_Control *the_rbtree,
+  RBTree_Node *the_node
+);
+
+/**
+ *  @brief Delete a node from the rbtree
+ *
+ *  This routine deletes @a the_node from @a the_rbtree.
+ *
+ *  @note It disables interrupts to ensure the atomicity of the
+ *  append operation.
+ */
+void _RBTree_Extract(
+  RBTree_Control *the_rbtree,
+  RBTree_Node    *the_node
+);
 
 #ifndef __RTEMS_APPLICATION__
Index: cpukit/score/include/rtems/score/thread.h
===================================================================
--- cpukit/score/include/rtems/score/thread.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/thread.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -183,5 +183,6 @@
 typedef void (*Thread_CPU_budget_algorithm_callout )( Thread_Control * );
 
-/** @brief Per Task Variable Manager Structure Forward Reference
+/**
+ *  @brief Per Task Variable Manager Structure Forward Reference
  *
  *  Forward reference to the per task variable structure.
@@ -189,5 +190,6 @@
 struct rtems_task_variable_tt;
 
-/** @brief Per Task Variable Manager Structure
+/**
+ *  @brief Per Task Variable Manager Structure
  *
  *  This is the internal structure used to manager per Task Variables.
@@ -271,5 +273,6 @@
 } Thread_Wait_information_Object_argument_type;
 
-/** @brief Thread Blocking Management Information
+/**
+ *  @brief Thread Blocking Management Information
  *
  *  This contains the information required to manage a thread while it is
@@ -789,5 +792,6 @@
 #if defined(RTEMS_SMP)
 
-  /** @brief _Thread_Dispatch_initialization
+  /**
+   *  @brief _Thread_Dispatch_initialization
    * 
    *  This routine initializes the thread dispatching subsystem.
@@ -795,5 +799,6 @@
   void _Thread_Dispatch_initialization(void);
 
-  /** @brief _Thread_Dispatch_in_critical_section
+  /**
+   *  @brief _Thread_Dispatch_in_critical_section
    * 
    * This routine returns true if thread dispatch indicates
@@ -802,5 +807,6 @@
   bool _Thread_Dispatch_in_critical_section(void);
 
-  /** @brief _Thread_Dispatch_get_disable_level
+  /**
+   *  @brief _Thread_Dispatch_get_disable_level
    * 
    * This routine returns value of the the thread dispatch level.
@@ -808,5 +814,6 @@
   uint32_t _Thread_Dispatch_get_disable_level(void);
 
-  /** @brief _Thread_Dispatch_set_disable_level
+  /**
+   *  @brief _Thread_Dispatch_set_disable_level
    * 
    * This routine sets thread dispatch level to the 
@@ -815,5 +822,6 @@
   uint32_t _Thread_Dispatch_set_disable_level(uint32_t value);
 
-  /** @brief _Thread_Dispatch_increment_disable_level
+  /**
+   *  @brief _Thread_Dispatch_increment_disable_level
    *
    * This rountine increments the thread dispatch level
@@ -821,5 +829,6 @@
   uint32_t _Thread_Dispatch_increment_disable_level(void);
 
-  /** @brief _Thread_Dispatch_decrement_disable_level
+  /**
+   *  @brief _Thread_Dispatch_decrement_disable_level
    * 
    * This routine decrements the thread dispatch level.
Index: cpukit/score/include/rtems/score/threadmp.h
===================================================================
--- cpukit/score/include/rtems/score/threadmp.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/threadmp.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2006.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -34,5 +34,6 @@
 #endif
 
-/** @brief _Thread_MP_Handler_initialization
+/**
+ *  @brief _Thread_MP_Handler_initialization
  *
  *  This routine initializes the multiprocessing portion of the Thread Handler.
@@ -42,5 +43,6 @@
 );
 
-/** @brief _Thread_MP_Allocate_proxy
+/**
+ *  @brief _Thread_MP_Allocate_proxy
  *
  *  This  allocates a proxy control block from
@@ -54,5 +56,6 @@
 );
 
-/** @brief _Thread_MP_Find_proxy
+/**
+ *  @brief _Thread_MP_Find_proxy
  *
  *  This function removes the proxy control block for the specified
@@ -63,5 +66,6 @@
 );
 
-/** @brief Active Proxy Set
+/**
+ *  @brief Active Proxy Set
  *
  * The following chain is used to manage the active set proxies.
@@ -69,5 +73,6 @@
 SCORE_EXTERN Chain_Control _Thread_MP_Active_proxies;
 
-/** @brief Inactive Proxy Set
+/**
+ *  @brief Inactive Proxy Set
  *
  * The following chain is used to manage the inactive set of proxies.
Index: cpukit/score/include/rtems/score/threadq.h
===================================================================
--- cpukit/score/include/rtems/score/threadq.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/threadq.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -61,5 +61,6 @@
              );
 
-/** @brief  Thread queue Dequeue
+/**
+ * @brief  Thread queue Dequeue
  *
  *  This function returns a pointer to a thread waiting on
@@ -72,5 +73,6 @@
 );
 
-/** @brief  Thread queue Enqueue Wrapper
+/**
+ * @brief  Thread queue Enqueue Wrapper
  *
  *  This routine enqueues the currently executing thread on
@@ -84,5 +86,6 @@
 
 
-/** @brief  Thread queue Enqueue
+/**
+ * @brief  Thread queue Enqueue
  *
  *  This routine enqueues the currently executing thread on
@@ -109,5 +112,6 @@
 );
 
-/** @brief  Thread queue Extract
+/**
+ * @brief  Thread queue Extract
  *
  *  This routine removes the_thread from the_thread_queue
@@ -119,5 +123,6 @@
 );
 
-/** @brief  Thread queue Extract with proxy
+/**
+ * @brief  Thread queue Extract with proxy
  *
  *  This routine extracts the_thread from the_thread_queue
@@ -129,5 +134,6 @@
 );
 
-/** @brief  Thread queue First
+/**
+ * @brief  Thread queue First
  *
  *  This function returns a pointer to the "first" thread
@@ -139,5 +145,6 @@
 );
 
-/** @brief  Thread queue Flush
+/**
+ * @brief  Thread queue Flush
  *
  *  This routine unblocks all threads blocked on the_thread_queue
@@ -150,5 +157,6 @@
 );
 
-/** @brief  Thread queue Initialize
+/**
+ * @brief  Thread queue Initialize
  *
  *  This routine initializes the_thread_queue based on the
@@ -163,5 +171,6 @@
 );
 
-/** @brief  Thread queue Dequeue priority
+/**
+ * @brief  Thread queue Dequeue priority
  *
  *  This function returns a pointer to the highest priority
@@ -173,5 +182,6 @@
 );
 
-/** @brief  Thread queue Enqueue priority
+/**
+ * @brief  Thread queue Enqueue priority
  *
  *  This routine enqueues the currently executing thread on
@@ -185,5 +195,6 @@
 );
 
-/** @brief  Thread queue Extract priority Helper
+/**
+ * @brief  Thread queue Extract priority Helper
  *
  *  This routine removes the_thread from the_thread_queue
@@ -206,5 +217,6 @@
 
 
-/** @brief  Thread queue First priority
+/**
+ * @brief  Thread queue First priority
  *
  *  This function returns a pointer to the "first" thread
@@ -216,5 +228,6 @@
 );
 
-/** @brief  Thread queue Dequeue FIFO
+/**
+ * @brief  Thread queue Dequeue FIFO
  *
  *  This function returns a pointer to the thread which has
@@ -226,5 +239,6 @@
 );
 
-/** @brief  Thread queue Enqueue FIFO
+/**
+ * @brief  Thread queue Enqueue FIFO
  *
  *  This routine enqueues the currently executing thread on
@@ -238,5 +252,6 @@
 );
 
-/** @brief  Thread queue Extract FIFO
+/**
+ * @brief  Thread queue Extract FIFO
  *
  *  This routine removes the_thread from the_thread_queue
@@ -248,5 +263,6 @@
 );
 
-/** @brief  Thread queue First FIFO
+/**
+ * @brief  Thread queue First FIFO
  *
  *  This function returns a pointer to the "first" thread
@@ -258,5 +274,6 @@
 );
 
-/** @brief  Thread queue timeout
+/**
+ * @brief  Thread queue timeout
  *
  *  This routine is invoked when a task's request has not
Index: cpukit/score/include/rtems/score/timespec.h
===================================================================
--- cpukit/score/include/rtems/score/timespec.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/timespec.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -6,5 +6,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -35,5 +35,6 @@
 #endif
 
-/** @brief Set Timespec to Seconds Nanosecond
+/**
+ * @brief Set Timespec to Seconds Nanosecond
  *
  *  This method sets the timespec to the specified seconds and nanoseconds
@@ -50,5 +51,6 @@
 	} while (0)
 
-/** @brief Zero Timespec
+/**
+ * @brief Zero Timespec
  *
  *  This method sets the timespec to zero.
@@ -63,5 +65,6 @@
 	} while (0)
 
-/** @brief Get Seconds Portion of Timespec
+/**
+ * @brief Get Seconds Portion of Timespec
  *
  *  This method returns the seconds portion of the specified timespec
@@ -74,5 +77,6 @@
 	((_time)->tv_sec)
 
-/** @brief Get Nanoseconds Portion of Timespec
+/**
+ * @brief Get Nanoseconds Portion of Timespec
  *
  *  This method returns the nanoseconds portion of the specified timespec
@@ -85,5 +89,6 @@
 	((_time)->tv_nsec)
 
-/** @brief Is Timespec Valid
+/**
+ * @brief Is Timespec Valid
  *
  *  This method determines the validity of a timespec.
@@ -98,5 +103,6 @@
 );
 
-/** @brief Timespec Less Than Operator
+/**
+ * @brief Timespec Less Than Operator
  *
  *  This method is the less than operator for timespecs.
@@ -113,5 +119,6 @@
 );
 
-/** @brief Timespec Greater Than Operator
+/**
+ * @brief Timespec Greater Than Operator
  *
  *  This method is the greater than operator for timespecs.
@@ -128,5 +135,6 @@
 );
 
-/** @brief Timespec equal to Operator
+/**
+ * @brief Timespec equal to Operator
  *
  *  This method is the is equal to than operator for timespecs.
@@ -143,5 +151,6 @@
   )
 
-/** @brief Add to a Timespec
+/**
+ * @brief Add to a Timespec
  *
  *  This routine adds two timespecs.  The second argument is added
@@ -158,5 +167,6 @@
 );
 
-/** @brief Convert Timespec to Number of Ticks
+/**
+ * @brief Convert Timespec to Number of Ticks
  *
  *  This routine convert the @a time timespec to the corresponding number
@@ -171,5 +181,6 @@
 );
 
-/** @brief Convert Ticks to Timespec
+/**
+ * @brief Convert Ticks to Timespec
  *
  *  This routine converts the @a ticks value to the corresponding
@@ -184,5 +195,6 @@
 );
 
-/** @brief Subtract Two Timespec
+/**
+ * @brief Subtract Two Timespec
  *
  *  This routine subtracts two timespecs.  @a result is set to
@@ -201,5 +213,6 @@
 );
 
-/** @brief Divide Timespec By Integer
+/**
+ * @brief Divide Timespec By Integer
  *
  *  This routine divides a timespec by an integer value.  The expected
@@ -219,5 +232,6 @@
 );
 
-/** @brief Divide Timespec
+/**
+ * @brief Divide Timespec
  *
  *  This routine divides a timespec by another timespec.  The
Index: cpukit/score/include/rtems/score/timestamp.h
===================================================================
--- cpukit/score/include/rtems/score/timestamp.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/timestamp.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -6,5 +6,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -131,5 +131,6 @@
 #endif
 
-/** @brief Set Timestamp to Seconds Nanosecond
+/**
+ *  @brief Set Timestamp to Seconds Nanosecond
  *
  *  This method sets the timestamp to the specified seconds and nanoseconds
@@ -148,5 +149,6 @@
 #endif
 
-/** @brief Zero Timestamp
+/**
+ *  @brief Zero Timestamp
  *
  *  This method sets the timestamp to zero.
@@ -163,5 +165,6 @@
 #endif
 
-/** @brief Is Timestamp Valid
+/**
+ *  @brief Is Timestamp Valid
  *
  *  This method determines the validity of a timestamp.
@@ -180,5 +183,6 @@
 #endif
 
-/** @brief Timestamp Less Than Operator
+/**
+ *  @brief Timestamp Less Than Operator
  *
  *  This method is the less than operator for timestamps.
@@ -198,5 +202,6 @@
 #endif
 
-/** @brief Timestamp Greater Than Operator
+/**
+ *  @brief Timestamp Greater Than Operator
  *
  *  This method is the greater than operator for timestamps.
@@ -216,5 +221,6 @@
 #endif
 
-/** @brief Timestamp equal to Operator
+/**
+ *  @brief Timestamp equal to Operator
  *
  *  This method is the is equal to than operator for timestamps.
@@ -234,5 +240,6 @@
 #endif
 
-/** @brief Add to a Timestamp
+/**
+ *  @brief Add to a Timestamp
  *
  *  This routine adds two timestamps.  The second argument is added
@@ -252,5 +259,6 @@
 #endif
 
-/** @brief Add to a Timestamp (At Clock Tick)
+/**
+ *  @brief Add to a Timestamp (At Clock Tick)
  *
  *  This routine adds two timestamps.  The second argument is added
@@ -276,5 +284,6 @@
 #endif
 
-/** @brief Convert Timestamp to Number of Ticks
+/**
+ *  @brief Convert Timestamp to Number of Ticks
  *
  *  This routine convert the @a time timestamp to the corresponding number
@@ -293,5 +302,6 @@
 #endif
 
-/** @brief Convert Ticks to Timestamp
+/**
+ *  @brief Convert Ticks to Timestamp
  *
  *  This routine converts the @a _ticks value to the corresponding
@@ -309,5 +319,6 @@
 #endif
 
-/** @brief Subtract Two Timestamp
+/**
+ *  @brief Subtract Two Timestamp
  *
  *  This routine subtracts two timestamps.  @a result is set to
@@ -329,5 +340,6 @@
 #endif
 
-/** @brief Divide Timestamp By Integer
+/**
+ *  @brief Divide Timestamp By Integer
  *
  *  This routine divides a timestamp by an integer value.  The expected
@@ -349,5 +361,6 @@
 #endif
 
-/** @brief Divide Timestamp
+/**
+ *  @brief Divide Timestamp
  *
  *  This routine divides a timestamp by another timestamp.  The
@@ -369,5 +382,6 @@
 #endif
 
-/** @brief Get Seconds Portion of Timestamp
+/**
+ *  @brief Get Seconds Portion of Timestamp
  *
  *  This method returns the seconds portion of the specified timestamp
@@ -385,5 +399,6 @@
 #endif
 
-/** @brief Get Nanoseconds Portion of Timestamp
+/**
+ *  @brief Get Nanoseconds Portion of Timestamp
  *
  *  This method returns the nanoseconds portion of the specified timestamp
@@ -401,5 +416,6 @@
 #endif
 
-/** @brief Convert Timestamp to struct timespec
+/**
+ *  @brief Convert Timestamp to struct timespec
  *
  *  This method returns the seconds portion of the specified timestamp
Index: cpukit/score/include/rtems/score/timestamp64.h
===================================================================
--- cpukit/score/include/rtems/score/timestamp64.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/timestamp64.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -52,5 +52,6 @@
 typedef int64_t Timestamp64_Control;
 
-/** @brief Set Timestamp to Seconds Nanosecond
+/**
+ *  @brief Set Timestamp to Seconds Nanosecond
  *
  *  This method sets the timestamp to the specified seconds and nanoseconds
@@ -75,5 +76,6 @@
 #endif
 
-/** @brief Zero Timestamp
+/**
+ *  @brief Zero Timestamp
  *
  *  This method sets the timestamp to zero.
@@ -91,5 +93,6 @@
 #endif
 
-/** @brief Is Timestamp Valid
+/**
+ *  @brief Is Timestamp Valid
  *
  *  This method determines the validity of a timestamp.
@@ -103,5 +106,6 @@
 	(1)
 
-/** @brief Timestamp Less Than Operator
+/**
+ *  @brief Timestamp Less Than Operator
  *
  *  This method is the less than operator for timestamps.
@@ -123,5 +127,6 @@
 #endif
 
-/** @brief Timestamp Greater Than Operator
+/**
+ *  @brief Timestamp Greater Than Operator
  *
  *  This method is the greater than operator for timestamps.
@@ -143,5 +148,6 @@
 #endif
 
-/** @brief Timestamp equal to Operator
+/**
+ *  @brief Timestamp equal to Operator
  *
  *  This method is the is equal to than operator for timestamps.
@@ -163,5 +169,6 @@
 #endif
 
-/** @brief Add to a Timestamp
+/**
+ *  @brief Add to a Timestamp
  *
  *  This routine adds two timestamps.  The second argument is added
@@ -183,5 +190,6 @@
 #endif
 
-/** @brief Add to a Timestamp (At Clock Tick)
+/**
+ *  @brief Add to a Timestamp (At Clock Tick)
  *
  *  This routine adds two timestamps.  The second argument is added
@@ -212,5 +220,6 @@
 }
 
-/** @brief Convert Timestamp to Number of Ticks
+/**
+ *  @brief Convert Timestamp to Number of Ticks
  *
  *  This routine convert the @a time timestamp to the corresponding number
@@ -225,5 +234,6 @@
 );
 
-/** @brief Convert Ticks to Timestamp
+/**
+ *  @brief Convert Ticks to Timestamp
  *
  *  This routine converts the @a _ticks value to the corresponding
@@ -238,5 +248,6 @@
 );
 
-/** @brief Subtract Two Timestamp
+/**
+ *  @brief Subtract Two Timestamp
  *
  *  This routine subtracts two timestamps.  @a result is set to
@@ -263,5 +274,6 @@
 #endif
 
-/** @brief Divide Timestamp By Integer
+/**
+ *  @brief Divide Timestamp By Integer
  *
  *  This routine divides a timestamp by an integer value.  The expected
@@ -288,5 +300,6 @@
 #endif
 
-/** @brief Divide Timestamp
+/**
+ *  @brief Divide Timestamp
  *
  *  This routine divides a timestamp by another timestamp.  The
@@ -307,5 +320,6 @@
 );
 
-/** @brief Get Seconds Portion of Timestamp
+/**
+ *  @brief Get Seconds Portion of Timestamp
  *
  *  This method returns the seconds portion of the specified timestamp
@@ -324,5 +338,6 @@
 #endif
 
-/** @brief Get Nanoseconds Portion of Timestamp
+/**
+ *  @brief Get Nanoseconds Portion of Timestamp
  *
  *  This method returns the nanoseconds portion of the specified timestamp
@@ -341,5 +356,6 @@
 #endif
 
-/** @brief Convert Timestamp to struct timespec
+/**
+ *  @brief Convert Timestamp to struct timespec
  *
  *  This method returns the seconds portion of the specified timestamp
Index: cpukit/score/include/rtems/score/tod.h
===================================================================
--- cpukit/score/include/rtems/score/tod.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/tod.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -103,5 +103,6 @@
   (4 * TOD_SECONDS_PER_DAY))
 
-/** @brief RTEMS Epoch Year
+/**
+ *  @brief RTEMS Epoch Year
  *
  *  The following constant define the earliest year to which an
@@ -118,5 +119,6 @@
 /**@{*/
 
-/** @brief Is the Time Of Day Set
+/**
+ *  @brief Is the Time Of Day Set
  *
  *  This is true if the application has set the current
@@ -125,15 +127,21 @@
 SCORE_EXTERN bool _TOD_Is_set;
 
-/** @brief Current Time of Day (Timespec)
+/**
+ *  @brief Current Time of Day (Timespec)
+ *
  *  The following contains the current time of day.
  */
 SCORE_EXTERN Timestamp_Control _TOD_Now;
 
-/** @brief Current Time of Day (Timespec)
+/**
+ *  @brief Current Time of Day (Timespec)
+ *
  *  The following contains the running uptime.
  */
 SCORE_EXTERN Timestamp_Control _TOD_Uptime;
 
-/** @brief Seconds Since RTEMS Epoch
+/**
+ *  @brief Seconds Since RTEMS Epoch
+ *
  *  The following contains the number of seconds from 00:00:00
  *  January 1, TOD_BASE_YEAR until the current time of day.
@@ -142,5 +150,6 @@
   _Timestamp_Get_seconds(&_TOD_Now)
 
-/** @brief _TOD_Handler_initialization
+/**
+ *  @brief _TOD_Handler_initialization
  *
  *  This routine performs the initialization necessary for this handler.
@@ -148,5 +157,6 @@
 void _TOD_Handler_initialization(void);
 
-/** @brief _TOD_Set
+/**
+ *  @brief _TOD_Set
  *
  *  This routine sets the current time of day to @a time and
@@ -157,5 +167,6 @@
 );
 
-/** @brief _TOD_Get
+/**
+ *  @brief _TOD_Get
  *
  *  This routine returns the current time of day with potential accuracy
@@ -168,5 +179,6 @@
 );
 
-/** @brief _TOD_Get_uptime
+/**
+ *  @brief _TOD_Get_uptime
  *
  *  This routine returns the system uptime with potential accuracy
@@ -179,5 +191,6 @@
 );
 
-/** @brief _TOD_Get_uptime_as_timespec
+/**
+ *  @brief _TOD_Get_uptime_as_timespec
  *
  *  This routine returns the system uptime with potential accuracy
@@ -196,5 +209,6 @@
 void _TOD_Tickle_ticks( void );
 
-/** @brief TOD_MILLISECONDS_TO_MICROSECONDS
+/**
+ *  @brief TOD_MILLISECONDS_TO_MICROSECONDS
  *
  *  This routine converts an interval expressed in milliseconds to microseconds.
@@ -204,5 +218,6 @@
 #define TOD_MILLISECONDS_TO_MICROSECONDS(_ms) ((uint32_t)(_ms) * 1000L)
 
-/** @brief TOD_MICROSECONDS_TO_TICKS
+/**
+ *  @brief TOD_MICROSECONDS_TO_TICKS
  *
  *  This routine converts an interval expressed in microseconds to ticks.
@@ -214,5 +229,6 @@
 );
 
-/** @brief TOD_MILLISECONDS_TO_TICKS
+/**
+ *  @brief TOD_MILLISECONDS_TO_TICKS
  *
  *  This routine converts an interval expressed in milliseconds to ticks.
@@ -224,5 +240,6 @@
 );
 
-/** @brief How many ticks in a second?
+/**
+ *  @brief How many ticks in a second?
  *
  *  This method returns the number of ticks in a second.
@@ -233,5 +250,6 @@
 uint32_t TOD_TICKS_PER_SECOND_method(void);
 
-/** @brief Method to return number of ticks in a second
+/**
+ *  @brief Method to return number of ticks in a second
  *
  *  This method exists to hide the fact that TOD_TICKS_PER_SECOND can not
Index: cpukit/score/include/rtems/score/watchdog.h
===================================================================
--- cpukit/score/include/rtems/score/watchdog.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/watchdog.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -8,5 +8,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -38,5 +38,6 @@
 #endif
 
-/** @brief Maximum Interval Length
+/**
+ *  @brief Maximum Interval Length
  *
  *  The following type defines the control block used to manage
@@ -45,5 +46,6 @@
 #define WATCHDOG_MAXIMUM_INTERVAL ((Watchdog_Interval) 0xffffffff)
 
-/** @brief Watchdog Interval Type
+/**
+ *  @brief Watchdog Interval Type
  *
  *  This type is used to specify the length of intervals.
@@ -51,5 +53,6 @@
 typedef uint32_t   Watchdog_Interval;
 
-/** @brief Watchdog Nanoseconds Since Last Tick Extension
+/**
+ *  @brief Watchdog Nanoseconds Since Last Tick Extension
  *
  *  This type defines a pointer to the BSP plugin to obtain the number
@@ -58,5 +61,6 @@
 typedef uint32_t (*Watchdog_Nanoseconds_since_last_tick_routine)(void);
 
-/** @brief Watchdog Service Routine Return Type
+/**
+ *  @brief Watchdog Service Routine Return Type
  *
  *  This type defines the return type from a Watchdog Service Routine.
@@ -64,5 +68,6 @@
 typedef void Watchdog_Service_routine;
 
-/** @brief Watchdog Service Routine Pointer Type
+/**
+ *  @brief Watchdog Service Routine Pointer Type
  *
  *  This type define a pointer to a watchdog service routine.
@@ -73,5 +78,6 @@
              );
 
-/** @brief No timeout constant
+/**
+ *  @brief No timeout constant
  *
  *  This is the constant for indefinite wait.  It is actually an
@@ -80,5 +86,6 @@
 #define WATCHDOG_NO_TIMEOUT  0
 
-/** @brief Watchdog States Type
+/**
+ *  @brief Watchdog States Type
  *
  *  This enumerated type is the set of the states in which a
@@ -101,5 +108,6 @@
 } Watchdog_States;
 
-/** @brief Watchdog Adjustment Directions Type
+/**
+ *  @brief Watchdog Adjustment Directions Type
  *
  *  The following enumerated type details the manner in which
@@ -115,5 +123,6 @@
 } Watchdog_Adjust_directions;
 
-/** @brief Watchdog Control Structure
+/**
+ *  @brief Watchdog Control Structure
  *
  *  The following record defines the control block used
@@ -145,5 +154,6 @@
 }   Watchdog_Control;
 
-/** @brief Watchdog Synchronization Level
+/**
+ *  @brief Watchdog Synchronization Level
  *
  *  This used for synchronization purposes
@@ -152,5 +162,6 @@
 SCORE_EXTERN volatile uint32_t    _Watchdog_Sync_level;
 
-/** @brief Watchdog Synchronization Count
+/**
+ *  @brief Watchdog Synchronization Count
  *
  *  This used for synchronization purposes
@@ -159,5 +170,6 @@
 SCORE_EXTERN volatile uint32_t    _Watchdog_Sync_count;
 
-/** @brief Ticks Since System Boot
+/**
+ *  @brief Ticks Since System Boot
  *
  *  This contains the number of ticks since the system was booted.
@@ -166,5 +178,6 @@
 SCORE_EXTERN volatile Watchdog_Interval _Watchdog_Ticks_since_boot;
 
-/** @brief Watchdog Nanoseconds Since Last Tick Handler
+/**
+ *  @brief Watchdog Nanoseconds Since Last Tick Handler
  *
  *  This is a pointer to the optional BSP plugin to obtain the number
@@ -174,5 +187,6 @@
   _Watchdog_Nanoseconds_since_tick_handler;
 
-/** @brief Per Ticks Watchdog List
+/**
+ *  @brief Per Ticks Watchdog List
  *
  *  This is the watchdog chain which is managed at ticks.
@@ -180,5 +194,6 @@
 SCORE_EXTERN Chain_Control _Watchdog_Ticks_chain;
 
-/** @brief Per Seconds Watchdog List
+/**
+ *  @brief Per Seconds Watchdog List
  *
  *  This is the watchdog chain which is managed at second boundaries.
@@ -186,5 +201,6 @@
 SCORE_EXTERN Chain_Control _Watchdog_Seconds_chain;
 
-/** @brief Watchdog Handler Initialization
+/**
+ *  @brief Watchdog Handler Initialization
  *
  *  This routine initializes the watchdog handler.  The watchdog
@@ -194,5 +210,6 @@
 void _Watchdog_Handler_initialization( void );
 
-/** @brief Remove Watchdog from List
+/**
+ *  @brief Remove Watchdog from List
  *
  *  This routine removes @a the_watchdog from the watchdog chain on which
@@ -206,5 +223,6 @@
 );
 
-/** @brief Watchdog Adjust
+/**
+ *  @brief Watchdog Adjust
  *
  *  This routine adjusts the @a header watchdog chain in the forward
@@ -221,5 +239,6 @@
 );
 
-/** @brief Watchdog Adjust to Chain
+/**
+ *  @brief Watchdog Adjust to Chain
  *
  *  This routine adjusts the @a header watchdog chain in the forward
@@ -240,5 +259,6 @@
 );
 
-/** @brief Watchdog Insert
+/**
+ *  @brief Watchdog Insert
  *
  *  This routine inserts @a the_watchdog into the @a header watchdog chain
@@ -253,5 +273,6 @@
 );
 
-/** @brief Watchdog Tickle
+/**
+ *  @brief Watchdog Tickle
  *
  *  This routine is invoked at appropriate intervals to update
Index: cpukit/score/include/rtems/score/wkspace.h
===================================================================
--- cpukit/score/include/rtems/score/wkspace.h	(revision 3203e09507da6484f267605793fd770586a63d55)
+++ cpukit/score/include/rtems/score/wkspace.h	(revision 4b72da419b231acf7b41e57b46177334458b10fc)
@@ -8,5 +8,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -36,5 +36,6 @@
 #include <rtems/score/interr.h>
 
-/** @brief Executive Workspace Control
+/**
+ * @brief Executive Workspace Control
  *
  *  The is the heap control structure that used to manage the
@@ -43,5 +44,6 @@
 SCORE_EXTERN Heap_Control _Workspace_Area;  /* executive heap header */
 
-/** @brief Workspace Handler Initialization
+/**
+ * @brief Workspace Handler Initialization
  *
  *  This routine performs the initialization necessary for this handler.
@@ -49,5 +51,6 @@
 void _Workspace_Handler_initialization(void);
 
-/** @brief Allocate Memory from Workspace
+/**
+ * @brief Allocate Memory from Workspace
  *
  *  This routine returns the address of a block of memory of size
@@ -63,5 +66,6 @@
 );
 
-/** @brief Free Memory to the Workspace
+/**
+ * @brief Free Memory to the Workspace
  *
  *  This function frees the specified block of memory.  If the block
@@ -80,5 +84,6 @@
 );
 
-/** @brief Workspace Allocate or Fail with Fatal Error
+/**
+ * @brief Workspace Allocate or Fail with Fatal Error
  *
  *  This routine returns the address of a block of memory of @a size
